package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.BasicCommonMapper;
import com.link.base.basic.model.ListOfValue;
import com.link.core.basic.service.BasicServiceException;
import com.link.core.util.StringUtils;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

@Service
public class LovServiceImpl implements LovService {
   @Resource
   private BasicCommonMapper basicCommonMapper;
   private static final Logger logger = LogManager.getLogger(JobLogServiceImpl.class);

   public ListOfValue getLovByNameAndType(String type, String val) throws BasicServiceException {
      ListOfValue record = new ListOfValue();
      record.setVal(val);
      record.setType(type);

      try {
         return this.basicCommonMapper.queryLovByValAndType(record);
      } catch (Exception var5) {
         Exception e = var5;
         logger.error("LovServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }

   public String getLovValue(String type, String name) throws Exception {
      ListOfValue record = new ListOfValue();
      record.setName(name);
      record.setType(type);

      try {
         ListOfValue result = this.basicCommonMapper.queryLovByNameAndType(record);
         if (result == null) {
            throw new BasicServiceException("查询值列表【" + type + "】显示值为【" + name + "】的值失败！请稍后再试！");
         } else {
            return result.getVal();
         }
      } catch (Exception var5) {
         Exception e = var5;
         logger.error("LovServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }

   public String getLovName(String type, String value) throws Exception {
      ListOfValue record = new ListOfValue();
      record.setVal(value);
      record.setType(type);

      try {
         ListOfValue result = this.basicCommonMapper.queryLovByValAndType(record);
         if (result == null) {
            throw new BasicServiceException("查询值列表【" + type + "】独立源代码为【" + value + "】的值失败！请稍后再试！");
         } else {
            return result.getName();
         }
      } catch (Exception var5) {
         Exception e = var5;
         logger.error("LovServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }

   public Map<String, String> getAllLovByType(String type) throws Exception {
      Map<String, String> map = new LinkedHashMap();
      if (StringUtils.isBlank(type)) {
         return map;
      } else {
         ListOfValue record = new ListOfValue();
         record.setType(type);
         record.setActiveFlag("Y");
         record.setPageFlag(false);

         try {
            List<ListOfValue> lovList = this.basicCommonMapper.queryByExamplePage(record);
            Iterator var5 = lovList.iterator();

            while(var5.hasNext()) {
               ListOfValue lov = (ListOfValue)var5.next();
               map.put(lov.getVal(), lov.getName());
            }

            return map;
         } catch (Exception var7) {
            Exception var7 = var7;
            logger.error("LovServiceImpl捕获异常: ", var7);
            throw new BasicServiceException(var7.getMessage());
         }
      }
   }
}
